/*****************************************************************************\
|                                               ( )_  _                       |
|    _ _    _ __   _ _    __    ___ ___     _ _ | ,_)(_)  ___   ___     _     |
|   ( '_`\ ( '__)/'_` ) /'_ `\/' _ ` _ `\ /'_` )| |  | |/',__)/' v `\ /'_`\   |
|   | (_) )| |  ( (_| |( (_) || ( ) ( ) |( (_| || |_ | |\__, \| (˅) |( (_) )  |
|   | ,__/'(_)  `\__,_)`\__  |(_) (_) (_)`\__,_)`\__)(_)(____/(_) (_)`\___/'  |
|   | |                ( )_) |                                                |
|   (_)                 \___/'                                                |
|                                                                             |
| General Bots Copyright (c) Pragmatismo.io. All rights reserved.             |
| Licensed under the AGPL-3.0.                                                |
|                                                                             |
| According to our dual licensing model, this program can be used either      |
| under the terms of the GNU Affero General Public License, version 3,        |
| or under a proprietary license.                                             |
|                                                                             |
| The texts of the GNU Affero General Public License with an additional       |
| permission and of our proprietary license can be found at and               |
| in the LICENSE file you have received along with this program.              |
|                                                                             |
| This program is distributed in the hope that it will be useful,             |
| but WITHOUT ANY WARRANTY, without even the implied warranty of              |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                |
| GNU Affero General Public License for more details.                         |
|                                                                             |
| "General Bots" is a registered trademark of Pragmatismo.io.                 |
| The licensing of the program under the AGPLv3 does not imply a              |
| trademark license. Therefore any rights, title and interest in              |
| our trademarks remain entirely with us.                                     |
|                                                                             |
\*****************************************************************************/
/**
 * @fileoverview General Bots server core.
 */
'use strict';
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { BelongsTo, Column, CreatedAt, DataType, ForeignKey, Model, Table, UpdatedAt } from 'sequelize-typescript';
import { GuaribasInstance } from '../../core.gbapp/models/GBModel.js';
let GuaribasSchedule = class GuaribasSchedule extends Model {
    name;
    schedule;
    instanceId;
    instance;
};
__decorate([
    Column(DataType.STRING(255)),
    __metadata("design:type", String)
], GuaribasSchedule.prototype, "name", void 0);
__decorate([
    Column(DataType.STRING(255)),
    __metadata("design:type", String)
], GuaribasSchedule.prototype, "schedule", void 0);
__decorate([
    ForeignKey(() => GuaribasInstance),
    Column(DataType.INTEGER),
    __metadata("design:type", Number)
], GuaribasSchedule.prototype, "instanceId", void 0);
__decorate([
    BelongsTo(() => GuaribasInstance),
    __metadata("design:type", GuaribasInstance)
], GuaribasSchedule.prototype, "instance", void 0);
__decorate([
    Column(DataType.DATE),
    CreatedAt,
    __metadata("design:type", Date)
], GuaribasSchedule.prototype, "createdAt", void 0);
__decorate([
    Column(DataType.DATE),
    UpdatedAt,
    __metadata("design:type", Date)
], GuaribasSchedule.prototype, "updatedAt", void 0);
GuaribasSchedule = __decorate([
    Table
    //tslint:disable-next-line:max-classes-per-file
], GuaribasSchedule);
export { GuaribasSchedule };
//# sourceMappingURL=Model.js.map