/*****************************************************************************\
|                                               ( )_  _                       |
|    _ _    _ __   _ _    __    ___ ___     _ _ | ,_)(_)  ___   ___     _     |
|   ( '_`\ ( '__)/'_` ) /'_ `\/' _ ` _ `\ /'_` )| |  | |/',__)/' v `\ /'_`\   |
|   | (_) )| |  ( (_| |( (_) || ( ) ( ) |( (_| || |_ | |\__, \| (˅) |( (_) )  |
|   | ,__/'(_)  `\__,_)`\__  |(_) (_) (_)`\__,_)`\__)(_)(____/(_) (_)`\___/'  |
|   | |                ( )_) |                                                |
|   (_)                 \___/'                                                |
|                                                                             |
| General Bots Copyright (c) Pragmatismo.io. All rights reserved.             |
| Licensed under the AGPL-3.0.                                                |
|                                                                             |
| According to our dual licensing model, this program can be used either      |
| under the terms of the GNU Affero General Public License, version 3,        |
| or under a proprietary license.                                             |
|                                                                             |
| The texts of the GNU Affero General Public License with an additional       |
| permission and of our proprietary license can be found at and               |
| in the LICENSE file you have received along with this program.              |
|                                                                             |
| This program is distributed in the hope that it will be useful,             |
| but WITHOUT ANY WARRANTY, without even the implied warranty of              |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                |
| GNU Affero General Public License for more details.                         |
|                                                                             |
| "General Bots" is a registered trademark of Pragmatismo.io.                 |
| The licensing of the program under the AGPLv3 does not imply a              |
| trademark license. Therefore any rights, title and interest in              |
| our trademarks remain entirely with us.                                     |
|                                                                             |
\*****************************************************************************/
/**
 * @fileoverview General Bots server core.
 */
'use strict';
/**
 * Global shared server data;
 */
export class RootData {
    webSessions; // List of Web Automation sessions.
    processes; // List of .gbdialog active executions.
    files; // List of uploaded files handled.
    publicAddress; // URI for BotServer.
    server; // Express reference.
    httpsServer; // Express reference (HTTPS).
    sysPackages; // Loaded system package list.
    appPackages; // Loaded .gbapp package list.
    minService; // Minimalist service core.
    bootInstance; // General Bot Interface Instance.
    minInstances; // List of bot instances.
    minBoot; // Reference to boot bot.
    wwwroot; // .gbui or a static webapp.
    entryPointDialog; // To replace default welcome dialog.
    debugConversationId; // Used to self-message during debug.
    debuggers; // Client of attached Debugger instances by botId.
    chatGPT; // ChatGPT API handle (shared Browser).
    dk;
    wa;
    sys;
    dbg;
    img;
    indexSemaphore;
}
//# sourceMappingURL=RootData.js.map